---
title: Read One Linked Account
description: A linked account is the connection between a user and an external identity provider. To get information about one linked account associated with a single user resource, the GET {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}} operation returns the linked account information for the linked account resource specified in the request URL. This request also supports the expand=identityProviders filter to show details about the external identity provider associated with this linked account resource.
component: pingone-api
page_id: pingone-api:platform:users/linked-accounts/read-one-linked-account
canonical_url: https://developer.pingidentity.com/pingone-api/platform/users/linked-accounts/read-one-linked-account.html
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Read One Linked Account

##

```none
GET {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}
```

A linked account is the connection between a user and an external identity provider. To get information about one linked account associated with a single user resource, the `GET {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}` operation returns the linked account information for the linked account resource specified in the request URL. This request also supports the `expand=identityProviders` filter to show details about the external identity provider associated with this linked account resource.

|   |                                                                                                                                                                                                                                             |
| - | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|   | Users who authenticate with an authoritative identity provider cannot self-service read their linked accounts. Their `user.identityProvider.id` attribute is not `null` and their `user.identityProvider.type` attribute is not `PING_ONE`. |

> **Collapse: Query parameters**
>
> | Query parameter | Attributes (or allowed limits) |
> | --------------- | ------------------------------ |
> | `filter`        | N/A                            |
> | `limit`         | N/A                            |
> | `expand`        | `identityProviders`            |
> | `order`         | N/A                            |

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}} HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/linkedAccounts/{{linkedAccountID}}")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/b7b3bdd6-a3aa-423f-9921-7f8ce13003d0/linkedAccounts/92713768-50f5-4c7a-829f-865c4820d201"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "user": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/b7b3bdd6-a3aa-423f-9921-7f8ce13003d0"
        }
    },
    "id": "92713768-50f5-4c7a-829f-865c4820d201",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "user": {
        "id": "b7b3bdd6-a3aa-423f-9921-7f8ce13003d0"
    },
    "identityProvider": {
        "id": "550d3bdf-554b-4f9d-8825-ece15308673d"
    },
    "externalId": "127152908468744"
}
```
